# Interface Sharing

#### Hierarchy

- Sharing

- Defined in fs/types.ts:47

#####
Index

### Methods

acceptShare
loadShare
sharePrivate

## Methods

### acceptShare

- acceptShare(__namedParameters: {
  shareId: string;
  sharedBy: string;
  }): Promise<Sharing>

- #### Parameters

  - ##### __namedParameters: {
    shareId: string;
    sharedBy: string;
    }

    - ##### shareId: string

    - ##### sharedBy: string

  #### Returns Promise<Sharing>

  - Defined in fs/types.ts:48

### loadShare

- loadShare(__namedParameters: {
  shareId: string;
  sharedBy: string;
  }): Promise<UnixTree>

- #### Parameters

  - ##### __namedParameters: {
    shareId: string;
    sharedBy: string;
    }

    - ##### shareId: string

    - ##### sharedBy: string

  #### Returns Promise<UnixTree>

  - Defined in fs/types.ts:49

### sharePrivate

- sharePrivate(paths: DistinctivePath[], __namedParameters: {
  shareWith: string | string[];
  sharedBy?: SharedBy;
  }): Promise<ShareDetails>

- #### Parameters

  - ##### paths: DistinctivePath[]

  - ##### __namedParameters: {
    shareWith: string | string[];
    sharedBy?: SharedBy;
    }

    - ##### shareWith: string | string[]

    - ##### `Optional` sharedBy?: SharedBy

  #### Returns Promise<ShareDetails>

  - Defined in fs/types.ts:50

Generated using TypeDoc